%global realname eleveldb
%global upstream basho
%global git_tag 1b996fb
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	1.2.2
Release:	1%{?dist}
Summary:	Erlang LevelDB API
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/basho/eleveldb
# wget --content-disposition https://github.com/basho/eleveldb/tarball/1.2.2
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
# Fedora/EPEL-specific
Patch1:		erlang-eleveldb-0001-Build-against-external-libraries.patch
# FIXME fix leveldb instead
Patch2:		erlang-eleveldb-0002-TEMPORARY-remove-compression-test-see-leveldb-commit.patch
BuildRequires:	erlang-rebar
BuildRequires:	leveldb-devel
BuildRequires:	snappy-devel
# Error:erlang(erlang:load_nif/2) in R12B and older
# Error:erlang(erlang:nif_error/1) in R13B and older
# Error:erlang(lists:keyfind/3) in R12B and older
Requires:	erlang-erts%{?_isa} >= R14B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
Erlang LevelDB API.


%prep
%setup -q -n %{upstream}-%{realname}-746cb43
rm -f c_src/build_deps.sh
rm -f c_src/snappy-1.0.4.tar.gz
%patch1 -p1 -b .systemwide
%patch2 -p1 -b .remove_compression_test
# Another one FIXME
rm -rf test/cacheleak.erl


%build
rebar compile -v


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 priv/%{realname}.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
rebar eunit -v


%files
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}.so



%changelog
* Thu Oct 11 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.2-1
- Ver. 1.2.2

* Wed Jul 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Remove EL5-specific stuff from spec-file
- Enable tests

* Thu May 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-1
- Ver. 1.1.0

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0
